Skip to main content
`Ctrl`+`K`

# DMPlexComputeBdResidualSingle

Compute the local boundary residual

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeBdResidualSingle(DM dm, PetscWeakForm wf, PetscFormKey key, Vec locX, Vec locX_t, PetscReal t, Vec locF)

Not collective

## Input Parameters

- dm - The output `DM`

- wf - The `PetscWeakForm` holding forms on this boundary

- key - The `PetscFormKey` indicating what should be integrated

- locX - The local solution

- locX_t - The time derivative of the local solution, or `NULL` for time-independent problems

- t - The time

## Output Parameter

- locF - The local residual

## See Also

`DMPlexComputeBdResidualSingleByKey()`, `DMPlexComputeJacobianByKey()`, `DMPlexComputeResidualHybridByKey()`, `DMPlexComputeJacobianHybridByKey()`, `PetscFormKey`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages